groovy.beans

## Class DefaultPropertyWriter

- java.lang.Object
- - groovy.beans.DefaultPropertyWriter

- All Implemented Interfaces:
    PropertyWriter

      public class DefaultPropertyWriter
      extends java.lang.Object
      implements PropertyWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyWriter` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertyWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(java.lang.Object owner, java.lang.String propertyName, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PropertyWriter INSTANCE

  - ### Constructor Detail

    - #### DefaultPropertyWriter

          public DefaultPropertyWriter()

  - ### Method Detail

    - #### write

          public void write(java.lang.Object owner,
                   java.lang.String propertyName,
                   java.lang.Object value)

      Specified by:
        `write` in interface `PropertyWriter`